import com.alibaba.fastjson.JSON;
import com.gic.api.base.commons.Page;
import com.gic.haoban.manage.service.pojo.bo.content.PotentialCustomerBO;
import com.gic.haoban.manage.service.pojo.qo.content.PotentialCustomerQO;
import com.gic.haoban.manage.service.service.content.PotentialCustomerService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * @Author MUSI
 * @Date 2023/3/30 10:15 PM
 * @Description
 * @Version
 **/
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = {"classpath:applicationContext-conf.xml"})
public class PotentialCustomerServiceTest {

    @Autowired
    PotentialCustomerService potentialCustomerService;

    String eid = "ff8080815dacd3a2015dacd3ef5c0000";
    String wxEid = "ca66a01b79474c40b3e7c7f93daf1a3b";
    String staffId = "e608b51b267e4943b87e222a343b4f25";
    String clerkId = "fbc508e395f846ef9005852c420e1c4f";
    String memberId = "ff8080818147efc8018148d1759903c8";

    @Test
    public void queryPotentialCustomerTest(){
        PotentialCustomerQO potentialCustomerQO = new PotentialCustomerQO();
        potentialCustomerQO.setEnterpriseId(eid);
        potentialCustomerQO.setWxEnterpriseId(wxEid);
        potentialCustomerQO.setClerkId(clerkId);
        potentialCustomerQO.setSeeFlag(0);
        potentialCustomerQO.setStarFlag(0);
        Page<PotentialCustomerBO> customerBOPage =
                potentialCustomerService.queryPotentialCustomerPage(potentialCustomerQO);
        System.out.println(JSON.toJSONString(customerBOPage));
    }
}
